/* -------------------------------------------------------------------
 *
 * This module has been developed by the Automatic Control Group
 * of the University of Salerno, Italy.
 *
 * Title:   getCoriolisCurrents.hpp
 * Author:  Antonio Annunziata, Vincenzo Petrone
 * Org.:    UNISA
 * Date:    Jul 7, 2023
 *
 * This is a function returning the joint currents due to the Coriolis
 * and centrifugal effects, given the joint positions and velocities,
 * according to the UR10's dynamic model. The function is
 * automatically generated by MATLAB (see details below) based on the
 * UR10's dynamic model's regressive form.
 *
 * -------------------------------------------------------------------
 */

//
// Academic License - for use in teaching, academic research, and meeting
// course requirements at degree granting institutions only.  Not for
// government, commercial, or other organizational use.
// File: getCoriolisCurrents.h
//
// MATLAB Coder version            : 5.6
// C/C++ source code generated on  : 07-Jul-2023 13:08:29
//

#pragma once

// Include Files
// #include "rtwtypes.h"
#include <cstddef>
#include <cstdlib>

// Function Declarations
namespace ur10_inverse_dynamics_solver
{
extern void getCoriolisCurrents(const double joint_positions[6], const double joint_velocities[6], double coriolis_currents[6]);

}

//
// File trailer for getCoriolisCurrents.h
//
// [EOF]
//
