/* -------------------------------------------------------------------
 *
 * This module has been developed by the Automatic Control Group
 * of the University of Salerno, Italy.
 *
 * Title:   getInertiaCurrents.hpp
 * Author:  Antonio Annunziata, Vincenzo Petrone
 * Org.:    UNISA
 * Date:    Jul 7, 2023
 *
 * This is a function returning the current-level joint-space inertia
 * matrix, given the joint positions, according to the UR10's dynamic
 * model. The function is automatically generated by MATLAB (see
 * details below) based on the UR10's dynamic model's regressive form.
 *
 * -------------------------------------------------------------------
 */

//
// Academic License - for use in teaching, academic research, and meeting
// course requirements at degree granting institutions only.  Not for
// government, commercial, or other organizational use.
// File: getInertiaCurrents.h
//
// MATLAB Coder version            : 5.6
// C/C++ source code generated on  : 07-Jul-2023 13:08:29
//

#pragma once

// Include Files
// #include "rtwtypes.h"
#include <cstddef>
#include <cstdlib>

// Function Declarations
namespace ur10_inverse_dynamics_solver
{
extern void getInertiaCurrents(const double joint_positions[6], double inertia_matrix[36]);

}

//
// File trailer for getInertiaCurrents.h
//
// [EOF]
//
